%global apiversion	0.10
%define lib_major	10
%define lib_name	%mklibname wpd %{apiversion} %{lib_major}
%define develname	%mklibname -d wpd 

Name:		libwpd
Summary:	A library for import of WordPerfect documents
Version:	0.10.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwpd.sourceforge.net/
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	glib2-devel
BuildRequires:	libgsl-devel
BuildRequires:	libgsf-devel
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	doxygen
BuildRequires:	help2man

%description
%{name} is a library for import of WordPerfect documents.

%package   	tools
Summary:	Tools to transform WordPerfect documents into other formats
Group:		Office/Word processor
Obsoletes:	%{name}0.8-tools

%description tools
Tools to transform WordPerfect documents into other formats.
Currently supported: HTML, raw, text.

%package -n	%{lib_name}
Summary:	A library for import of WordPerfect documents
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{develname}
Summary:	Files for developing with libwpd
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{apiversion}-devel = %{version}-%{release}
Obsoletes:	libwpd0-devel
Obsoletes:	%{_lib}wpd0.8-devel

%description -n	%{develname}
Includes and definitions for developing with libwpd.

%package doc
Summary: Documentation of %{name} API
BuildArch: noarch
Conflicts: %{develname} < %version-%release

%description doc
The %{name}-doc package contains API documentation for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# we install API docs directly from build
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wpd2html wpd2raw wpd2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wpd2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{lib_name}
%doc CREDITS NEWS README
%license COPYING.LGPL COPYING.MPL
%{_libdir}/libwpd-%{apiversion}.so.%{lib_major}
%{_libdir}/libwpd-%{apiversion}.so.%{lib_major}.*

%files tools
%{_bindir}/wpd2html
%{_bindir}/wpd2raw
%{_bindir}/wpd2text
%{_mandir}/man1/wpd2html.1*
%{_mandir}/man1/wpd2raw.1*
%{_mandir}/man1/wpd2text.1*

%files -n %{develname}
%doc HACKING TODO
%{_libdir}/pkgconfig/libwpd-%{apiversion}.pc
%{_libdir}/libwpd-%{apiversion}*.so
%{_includedir}/libwpd-%{apiversion}

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html
%doc docs/%{name}.dia
%doc docs/%{name}.png



%changelog
* Mon Sep 19 2016 tv <tv> 0.10.1-2.mga6
+ Revision: 1054254
- we install API docs directly from build
- use %%license
- add man pages

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.10.1-1.mga6
+ Revision: 917791
- 0.10.1

* Wed Aug 26 2015 tv <tv> 0.10.0-4.mga6
+ Revision: 869862
- rebuild with gcc5

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 750205
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 681860
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.10.0-1.mga5
+ Revision: 658577
- adjust file list
- BR librevenge
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.9.9-2.mga4
+ Revision: 532366
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 tv <tv> 0.9.9-1.mga4
+ Revision: 468187
- new release

* Sat Jun 08 2013 fwang <fwang> 0.9.8-1.mga4
+ Revision: 440449
- update doc
- new version 0.9.8

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-3.mga3
+ Revision: 358475
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.9.6-2.mga3
+ Revision: 323463
- clean spec
- fix rpm group

* Sat Sep 29 2012 fwang <fwang> 0.9.6-1.mga3
+ Revision: 299980
- new version 0.9.6

* Tue Dec 06 2011 fwang <fwang> 0.9.4-1.mga2
+ Revision: 177292
- disable static
- new version 0.9.4

* Mon Jul 18 2011 fwang <fwang> 0.9.2-1.mga2
+ Revision: 125624
- new version 0.9.2

* Sun Jan 23 2011 dmorgan <dmorgan> 0.9.0-1.mga1
+ Revision: 33509
- Remove mdv macros
- Update to version 0.9 ( is needed by libreoffice )
- imported package libwpd

